Name:		qtcurve-gtk2
Version:	1.8.5
Release:	4%{?dist}
Summary:	This is a set of widget styles for Gtk2 based apps

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://www.kde-look.org/content/show.php?content=40492
Source0:	http://craigd.wikispaces.com/file/view/QtCurve-Gtk2-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstsreamable patches
# http://bugzilla.redhat.com/625504 , qtcurve-gtk2 not built with $RPM_OPT_FLAGS
Patch100:	qtcurve-gtk2-C_FLAGS.patch
# http://bugzilla.redhat.com/669155 , fix openoffice crash, threading issue
Patch101:	qtcurve-gtk2-fix-threading-crash.patch

BuildRequires:	gtk2-devel
BuildRequires:	kdebase-workspace-devel

%description
QtCurve is a desktop theme for the GTK+ and Qt widget toolkits,
allowing users to achieve a uniform look between these widget toolkits.

%prep
%setup -q -n QtCurve-Gtk2-%{version}
%patch100 -p0
%patch101 -p1 -b .fix-threading-crash

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/gtk-2.0/*/engines/libqtcurve.so
%{_datadir}/themes/QtCurve/


%changelog
* Tue Mar 22 2011 Jaroslav Reznik <jreznik@redhat.com> 1.8.5-4
- fixes #669155, crashing openoffice due threading issue

* Tue Feb 16 2011 Thomas Janssen <thomasj@fedoraproject.org> 1.8.5-3
- fixes #676837

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Thomas Janssen <thomasj@fedoraproject.org> 1.8.5-1
- update to 1.8.5

* Mon Dec 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.8.1-1
- update to 1.8.1

* Thu Nov 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.7.0-1
- update to 1.7.0

* Tue Oct 05 2010 Rex Dieter <rdieter@fedoraproject.org> 1.6.3-2
- qtcurve-gtk2 not built with $RPM_OPT_FLAGS (#625504)

* Tue Sep 28 2010 jkeating - 1.6.3-1.1
- Rebuilt for gcc bug 634757

* Sun Sep 26 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.6.3-1
- bugfix update 1.6.3

* Mon Sep 13 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.6.0-1
- qtcurve-gtk2 1.6.0

* Sun Aug 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.5.2-1
- qtcurve-gtk2 1.5.2

* Thu Jul 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.5.1-1
- qtcurve-gtk2 1.5.1 bugfix release

* Thu Jul 01 2010 thomas Janssen <thomasj@fedoraproject.org> 1.5.0-1
- qtcurve-gtk2 1.5.0

* Sun Jun 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.4.1-1
- qtcurve-gtk2 1.4.1

* Mon May 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.4.0-1
- qtcurve 1.4.0

* Mon Apr 12 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.3.0-1
- qtcurve 1.3.0

* Tue Mar 02 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1.1-1
- New upstream source 1.1.1

* Tue Feb 23 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.1.0-1
- New upstream source 1.1.0

* Mon Feb 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.2-1
- Update to new upstream source 1.0.2

* Mon Jan 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1
- Update to source 1.0.1

* Sun Nov 01 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.69.2-1
- New upstream source 0.69.2

* Mon Sep 28 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.69.0-1
- Updated source to version 0.69.0
- Dropped unneeded buildrequires
- Dropped requires qtcurve-kde4
- removed post and postun
- removed _kde4 macros from files

* Mon Sep 28 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.68.1-1
- Initial RPM release 0.68.1-1
